
package cd.casic.module.terminal.common;

import cn.orionsec.kit.lang.utils.codec.Base62s;
import cn.orionsec.kit.lang.utils.crypto.symmetric.SymmetricCrypto;

/**
 * aes 加密器
 *
 * @author Jiahang Li
 * @version 1.0.0
 * @since 2023/7/8 0:20
 */
public interface AesEncryptor extends SymmetricCrypto {

    /**
     * 加密后 base62 编码
     *
     * @param plain 明文
     * @return 密文
     */
    default String encryptBase62(String plain) {
        return new String(Base62s.encode(this.encrypt(plain)));
    }

    /**
     * base62 解码后解密
     *
     * @param text 密文
     * @return 明文
     */
    default String decryptBase62(String text) {
        return new String(this.decrypt(Base62s.decode(text)));
    }

}
